<ion-header>
  <ion-toolbar color='secondary'>
    <ion-title>Posted 
      Side Jobs
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color ="primary">
  <ion-searchbar
  placeholder='Search'
  [(ngModel)]="searchTerm"
  showCancelButton="focus"
  animated>
          

  </ion-searchbar>
  <ion-card *ngFor="let item of postList | filter:searchTerm" color="tertiary">
    <span *ngIf="!item.isEdit; else elseBlock">
      <ion-card-header>
        <ion-card-title>Posted by: {{item.fullName}}</ion-card-title>
        <ion-card-title>Looking For: {{item.sideJob}}</ion-card-title>
        <ion-card-subtitle>Side Job Description: {{item.sideDesc}}</ion-card-subtitle>
        <ion-card-subtitle>Located at: {{item.Address}}</ion-card-subtitle>
        <ion-card-subtitle>You can contact Us: {{item.contactNumber}}</ion-card-subtitle>
      </ion-card-header>
    </span>
  </ion-card>
</ion-content>
